Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03860 DIP/Input Major Always May 25, 2010, 11:40 Dec 15, 2015, 00:24
Tester AntoPISA View Status Public Platform MAMEUI
Assigned To Haze Resolution Fixed OS Windows Vista/7 (32-bit)
Status [?] Resolved Driver vsnes.cpp
Version 0.138 Fixed in Version 0.169 Build Normal
Summary 03860: hogalley, vsfdf : Shots don't hit.
Description If you shoot the gun, the screen flashes but it doesn't hit anywhere.

In hogalley, you can't select the number of players.
In vsfdf, you can't shoot enemies.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.137u3
Affected Sets / Systems hogalley, vsfdf
Attached Files
png file icon hogalley0012.png (1,690 bytes) May 25, 2010, 11:40
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.06170
Fujix
Administrator
May 25, 2010, 12:27
Do you mean that the game doesn't proceed wherever you shoot the screen?

For me, the game is working although, shots are not detected where the aim cursor is.
User avatar
No.06173
Fujix
Administrator
May 25, 2010, 12:46
edited on: May 25, 2010, 12:52
vsfdf has the same problem.

Updated the report and confirmed.

User avatar
No.06174
Tafoid
Administrator
May 25, 2010, 12:50
Looks like the lightgun usage is busted. Confirmed.
User avatar
No.06181
AWJ
Developer
May 26, 2010, 03:40
duckhunt and vsgshoe (which use the standard NES palette) still work; it's only the games that combine a lightgun with a nonstandard palette that regressed.

The problem is in WRITE8_HANDLER( gun_in0_w ), which uses a hardcoded list of which colors are "bright" (i.e. bright enough to trigger the light sensor in the lightgun). The hardcoded list of bright colors is only correct for the standard palette.
User avatar
No.12078
evh347
Tester
Oct 18, 2015, 13:55
Any chance this issue will be revisited? It's been 5 years since it was reported.
User avatar
No.12079
NekoEd
Senior Tester
Oct 18, 2015, 23:11
While your concern is valid, please do not comment on old bugs to complain about them. Only post when you have relevant information or the circumstances, execution or details of the bug have changed.